Package org.h2gis.functions.spatial.edit

# Class ST_RemoveDuplicatedCoordinates

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_RemoveDuplicatedCoordinates

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_RemoveDuplicatedCoordinates extends org.h2gis.api.DeterministicScalarFunction
Remove duplicate coordinates in a geometry

Author:
  Erwan Bocher CNRS

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_RemoveDuplicatedCoordinates()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`removeCoordinates(org.locationtech.jts.geom.Geometry geom)`
Removes duplicated coordinates within a geometry.
`static org.locationtech.jts.geom.GeometryCollection`
`removeCoordinates(org.locationtech.jts.geom.GeometryCollection g)`
Removes duplicated coordinates within a GeometryCollection
`static org.locationtech.jts.geom.LinearRing`
`removeCoordinates(org.locationtech.jts.geom.LinearRing g)`
Removes duplicated coordinates within a linearRing.
`static org.locationtech.jts.geom.LineString`
`removeCoordinates(org.locationtech.jts.geom.LineString g)`
Removes duplicated coordinates within a LineString.
`static org.locationtech.jts.geom.MultiLineString`
`removeCoordinates(org.locationtech.jts.geom.MultiLineString g)`
Removes duplicated coordinates in a MultiLineString.
`static org.locationtech.jts.geom.MultiPoint`
`removeCoordinates(org.locationtech.jts.geom.MultiPoint g)`
Removes duplicated coordinates within a MultiPoint.
`static org.locationtech.jts.geom.MultiPolygon`
`removeCoordinates(org.locationtech.jts.geom.MultiPolygon g)`
Removes duplicated coordinates within a MultiPolygon.
`static org.locationtech.jts.geom.Polygon`
`removeCoordinates(org.locationtech.jts.geom.Polygon poly)`
Removes duplicated coordinates within a Polygon.
`static org.locationtech.jts.geom.Geometry`
`removeDuplicatedCoordinates(org.locationtech.jts.geom.Geometry geometry)`
Returns a version of the given geometry with duplicated coordinates removed.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_RemoveDuplicatedCoordinates

public ST_RemoveDuplicatedCoordinates()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### removeDuplicatedCoordinates

public static org.locationtech.jts.geom.Geometry removeDuplicatedCoordinates(org.locationtech.jts.geom.Geometry geometry)
Returns a version of the given geometry with duplicated coordinates removed.

Parameters:
  `geometry` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.Geometry removeCoordinates(org.locationtech.jts.geom.Geometry geom)
Removes duplicated coordinates within a geometry.

Parameters:
  `geom` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.MultiPoint removeCoordinates(org.locationtech.jts.geom.MultiPoint g)
Removes duplicated coordinates within a MultiPoint.

Parameters:
  `g` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.LineString removeCoordinates(org.locationtech.jts.geom.LineString g)
Removes duplicated coordinates within a LineString.

Parameters:
  `g` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.LinearRing removeCoordinates(org.locationtech.jts.geom.LinearRing g)
Removes duplicated coordinates within a linearRing.

Parameters:
  `g` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.MultiLineString removeCoordinates(org.locationtech.jts.geom.MultiLineString g)
Removes duplicated coordinates in a MultiLineString.

Parameters:
  `g` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.Polygon removeCoordinates(org.locationtech.jts.geom.Polygon poly)
Removes duplicated coordinates within a Polygon.

Parameters:
  `poly` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.MultiPolygon removeCoordinates(org.locationtech.jts.geom.MultiPolygon g)
Removes duplicated coordinates within a MultiPolygon.

Parameters:
  `g` -
Returns:

### removeCoordinates

public static org.locationtech.jts.geom.GeometryCollection removeCoordinates(org.locationtech.jts.geom.GeometryCollection g)
Removes duplicated coordinates within a GeometryCollection

Parameters:
  `g` -
Returns: